#version 330

layout(location = 0) in vec3 position;
layout(location = 1) in vec2 uv;

out vec2 fragmentUV;
out vec2 fragmentPos;

uniform mat4 transform;
uniform mat4 worldTransform;
uniform mat4 worldView;

void main() {
	fragmentUV = uv;
	gl_Position = vec4(position, 1);
	fragmentPos = (position.xy + 1) / 2;
}
