#version 330 

uniform vec3 nearFar; // near and far plane for cm-cams, z is empty
uniform vec4 lightWorldPos; // world space light position

in vec4 worldPosFromGs;

void main() {
	float dist = distance(worldPosFromGs, lightWorldPos);
	float distNormalized = dist / nearFar.y;
	gl_FragDepth = distNormalized;
}
