#version 330

uniform sampler2D lightPass_diffuse;
uniform sampler2D lightPass_specular;

in vec2 fragmentUV;

const float bloomFactor = 1;

out vec4 outputColor;

void main() {
	outputColor = vec4(texture(lightPass_diffuse, fragmentUV).rgb + bloomFactor * texture(lightPass_specular, fragmentUV).rgb, 1);
	//outputColor = vec4(texture(lightPass_specular, fragmentUV).rgb, 1);
	//outputColor = vec4(texture(lightPass_diffuse, fragmentUV).rgb, 1);
}
