#version 330

uniform sampler2D diffuseTexture;
uniform int receiveShadow;

in vec2 fragmentUV;
in vec3 fragmentNormals;

out vec4 diffuse_out;
out vec4 normal_out;

void main() {
	diffuse_out = vec4(texture(diffuseTexture, fragmentUV).rgb, receiveShadow);
	normal_out = vec4(fragmentNormals, 1);
}
